Bug 446286 - gcc: Internal error: Segmentation fault
gcc: Internal error: Segmentation fault
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
7
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-13 18:05 EDT by Rob Percival
Modified: 2008-06-16 23:07 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 23:07:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
C++ code that crashes gcc. (21.34 KB, application/x-zip-compressed)
2008-05-13 18:06 EDT, Rob Percival
no flags Details

  None (edit)
Description Rob Percival 2008-05-13 18:05:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 7.0; Windows NT 5.1; .NET CLR 1.1.4322; .NET CLR 2.0.50727; .NET CLR 3.0.04506.30; InfoPath.1; .NET CLR 3.0.04506.590; .NET CLR 3.0.04506.648; .NET CLR 3.5.21022)

Description of problem:
When attempting to compile the attached C++ source files, the gcc compiler crashes with a segmentation fault. This code compiles successfully when using the Microsoft Visual Studio 2008 compiler. The only external libraries in use are those of OpenGL and GLUT. The algorithms, exceptions and vector includes from the std namespace are also being used.

Version-Release number of selected component (if applicable):
gcc-4.1.2-27

How reproducible:
Always


Steps to Reproduce:
1. Compile attached source with: gcc *.cpp
2. Segmentation fault occurs

Actual Results:
gcc: Internal error: Segmentation fault (program cc1plus)
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.


Expected Results:
The code should have compiled successfully (as is the case when compiling with the Microsoft Visual Studio compiler).

Additional info:
When compiling using gcc under cygwin (instead of Fedora 7), the following error message is given:

Matrix.cpp: In member function `Matrix Matrix::operator*(Matrix)':
Matrix.cpp:58: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://cygwin.com/problems.html> for instructions.
Spacecraft.cpp: In member function `void Spacecraft::ApplyVelocity()':
Spacecraft.cpp:260: internal compiler error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://cygwin.com/problems.html> for instructions.
Comment 1 Rob Percival 2008-05-13 18:06:54 EDT
Created attachment 305301 [details]
C++ code that crashes gcc.
Comment 2 Bug Zapper 2008-05-14 11:30:21 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2008-06-16 23:07:43 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.